petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSMonitorLGError

Monitors progress of the TS solvers by plotting each component of the solution vector in a time based line graph

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorLGError(TS ts,PetscInt step,PetscReal ptime,Vec u,void *dummy)

Collective on TS Many br

### Input Parameters

| ts | - the TS context Many br
| step | - current time-step Many br
| ptime | - current time Many br
| u | - current solution Many br
| dctx | - TSMonitorLGCtx object created with TSMonitorLGCtxCreate() Many br

Many br

Notes: Each process in a parallel run displays its component errors in a separate window Many br

The user must provide the solution using TSSetSolutionFunction() to use this monitor. Many br

### Options Database Keys

-ts_monitor_lg_error -create a graphical monitor of error history Many br

### Keywords

TS, vector, monitor, view

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView(), TSSetSolutionFunction()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages